PMC(8)

NAME
pmc - PTP management client

SYNOPSIS
pmc [ -2 | -4 | -6 | -u ] [ -b boundary-hops ] [ -d domain-number ] [ -i interface ] [ -s uds-address ] [ -t transport-specific-field ] [ -v ] [ -z ] [ command ] ...

DESCRIPTION
pmc is a program which implements a PTP management client according to IEEE standard 1588. The program reads from the standard input or from the command line actions specified by name and management ID, sends them over the selected transport and prints any received replies. There are three actions supported: GET retrieves the specified information, SET updates the specified information and CMD (or COMMAND) initiates the specified event.

By default the management commands are addressed to all ports. The TARGET command can be used to select a particular clock and port for the subsequent messages.

Command help can be used to get a list of supported actions and management IDs.

OPTIONS

-2  Select the IEEE 802.3 network transport.

-4  Select the UDP IPv4 network transport. This is the default transport.

-6  Select the UDP IPv6 network transport.

-u  Select the Unix Domain Socket transport.

-b boundary-hops
    Specify the boundary hops value in sent messages. The default is 1.

-d domain-number
    Specify the domain number in sent messages. The default is 0.

-i interface
    Specify the network interface. The default is /var/run/pmc.$pid for the Unix Domain Socket transport and eth0 for the other transports.

-s uds-address
    Specifies the address of the server's UNIX domain socket. The default is /var/run/ptp4l.

-t transport-specific-field
    Specify the transport specific field in sent messages as a hexadecimal number. The default is 0x0.

-h  Display a help message.

-v  Prints the software version and exits.

-z  The official interpretation of the 1588 standard mandates sending GET actions with valid (but meaningless) TLV values. Therefore the pmc program normally sends GET requests with properly formed TLV values. This option enables the legacy option of sending zero length TLV values instead.

MANAGEMENT IDS

ANNOUNCE_RECEIPT_TIMEOUT

CLOCK_ACCURACY

CLOCK_DESCRIPTION

CURRENT_DATA_SET

DEFAULT_DATA_SET

DELAY_MECHANISM

DOMAIN

GRANDMASTER_SETTINGS_NP

LOG_ANNOUNCE_INTERVAL

LOG_MIN_PDELAY_REQ_INTERVAL

LOG_SYNC_INTERVAL

NULL_MANAGEMENT

PARENT_DATA_SET

PORT_DATA_SET

PORT_DATA_SET_NP

PRIORITY1

PRIORITY2

SLAVE_ONLY

TIMESCALE_PROPERTIES

TIME_PROPERTIES_DATA_SET

TIME_STATUS_NP

TRACEABILITY_PROPERTIES

USER_DESCRIPTION

VERSION_NUMBER

SEE ALSO
ptp4l(8)